package com.tencent.mm.plugin.fts.ui.a;

import android.content.Context;
import android.text.TextUtils;
import android.text.TextUtils.TruncateAt;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.plugin.fts.a.d.a.a;
import com.tencent.mm.plugin.fts.a.d.a.a.b;
import com.tencent.mm.plugin.fts.a.f;
import com.tencent.mm.plugin.fts.ui.b.c;
import com.tencent.mm.sdk.platformtools.bo;

public final class i extends a {
    public String mEp;
    public boolean mKF;
    public CharSequence mKG;
    private b mKH;
    private a mKI;

    public i(int i) {
        super(19, i);
        AppMethodBeat.i(61998);
        this.mKH = new b(this);
        this.mKI = new a(this);
        this.mFk = false;
        AppMethodBeat.o(61998);
    }

    public final void a(Context context, a.a aVar, Object... objArr) {
        AppMethodBeat.i(61999);
        CharSequence ellipsize = TextUtils.ellipsize(this.mDz.mEb[0], c.mHz, 200.0f, TruncateAt.MIDDLE);
        CharSequence ellipsize2 = TextUtils.ellipsize(this.mDz.mEb[1], c.mHz, 400.0f, TruncateAt.MIDDLE);
        if (bo.isNullOrNil(this.mEp)) {
            this.mKG = TextUtils.concat(new CharSequence[]{context.getString(2131302860), f.j(ellipsize, ellipsize.length()), context.getString(2131302861), f.j(ellipsize2, ellipsize2.length()), context.getString(2131302862)});
            AppMethodBeat.o(61999);
            return;
        }
        this.mKG = TextUtils.concat(new CharSequence[]{context.getString(2131302863), f.j(ellipsize, ellipsize.length()), context.getString(2131302861), f.j(ellipsize2, ellipsize2.length()), context.getString(2131302862)});
        AppMethodBeat.o(61999);
    }

    public final b Ps() {
        return this.mKH;
    }
}
